Qlik Community

QlikView Scripting

Discussion Board for collaboration on QlikView Scripting.

Announcements

Breathe easy -- you now have more time to plan your next steps with Qlik!
QlikView 11.2 Extended Support is now valid through December 31, 2020. Click here for more information.

Luminary
Luminary

Change QV SAP Connector Transports

Hello,

If you want to install the QV SAP Connector Transports of an older version (5.5 SR 3 to 5.4 SR) is there a procedure the uninstall QV SAP Connector Transports or is it enough just to overwrite them with another version?

Thanks in advance.

1 Solution

Accepted Solutions
suniljain
Honored Contributor

Change QV SAP Connector Transports

Dear Karl,

When you upgrade QVC 5.5 SR3 to 5.4 .in that situation transport does not affect the working of newly installed version.

actually transport name is different and accordingly interface package is also different.

4 Replies
suniljain
Honored Contributor

Change QV SAP Connector Transports

Dear Karl,

When you upgrade QVC 5.5 SR3 to 5.4 .in that situation transport does not affect the working of newly installed version.

actually transport name is different and accordingly interface package is also different.

Luminary
Luminary

Change QV SAP Connector Transports

Thanks, Sunil.

Any ideas on this post?

http://community.qlik.com/forums/t/43790.aspx

Regards.

disqr_rm
Valued Contributor III

Change QV SAP Connector Transports

Hi Karl,

It seems you want to go back or downgrade from 5.5 to 5.4 version.Any particular reasons? Are you facing any problems with 5.5?

With 5.5, there are some new objects/options were provided. When you downgrade and overwrite objects using 5.4 transports, all the common objects will obviously be overwritten, but all the new objects in 5.5 will stay in your system. I don't think they will create any problem, but obviously you need to test it out.

What I would do is import 5.4 transport into DEV and get a list of objects connected to 5.4 transports. Then get a list from your PROD or QV for the objects connected to 5.5. Put a simple QV together to compare and see which objects are in 5.5 and do not exists in 5.4 and take appropriate actions for these objects depending on SAP System type (R/3, BW, etc.) and object type (Table, Programs, Functions, etc.). All the common objects on both versions will be overwrite I am sure (you may want to import transports with unconditional parameters), and the uncommon object you should be able to left alone.

Don't forget to compare Roles and object in both transports.

Good luck! and don't forget to post your experience here for your fellow community members.

Rakesh

Luminary
Luminary

Change QV SAP Connector Transports

Rakesh,

Good post for future reference. The problem is that we are doing a SiB now and only have the transports in the DEV environment. We are having the problem with the weird characters and null values being extracted, so we are trying different things to try to fix the problem. Version 5.4 is the latest version that is running in production for a customer so we wanted to downgrade the version to 5.5 to test with this prospect.

I'll keep you posted.

Thanks.